Name:           perl-Redis
Version:        1.991
Release:        8%{?dist}
Summary:        Perl binding for Redis database
License:        ASL 2.0
Group:          Development/Libraries
URL:            https://metacpan.org/release/Redis
Source0:        https://cpan.metacpan.org/modules/by-module/Redis/Redis-%{version}.tar.gz
# required test libraries for EPEL6
Patch1:         redis_required_test_libraries.patch
# Adjust tests to changes in Redis 4.0.11, bug #1624360, in upstream after
# 1.991, <https://github.com/PerlRedis/perl-redis/pull/130>
Patch2:         Redis-1.991-relax-the-check-in-04-pipeline.t-about-unknown-comma.patch
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
%if 0%{?el6}
BuildRequires:  perl(Config)
%endif
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Errno)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Socket::Timeout) >= 0.29
BuildRequires:  perl(IO::Socket::UNIX)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
%if 0%{?el6}
%else
BuildRequires:  perl(Net::EmptyPort)
%endif
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
%if 0%{?el6}
BuildRequires:  perl(Symbol)
%endif
BuildRequires:  perl(Test::CPAN::Meta)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
%if 0%{?el6}
%else
BuildRequires:  perl(Test::More) >= 0.98
%endif
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::SharedFork)
%if 0%{?el6}
%else
BuildRequires:  perl(Test::TCP)
%endif
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Tie::StdHash)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(warnings)
%if 0%{?el6}
BuildRequires:  perl(vars)
%endif
BuildRequires:  redis
BuildRequires:  util-linux
Requires:       perl(Time::HiRes)
Requires:       perl(IO::Socket::Timeout) >= 0.29
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Pure perl bindings for http://redis.io/

%prep
%setup -q -n Redis-%{version}
%if 0%{?el6}
%patch1 -p1
%endif
%patch2 -p1

%build
%if 0%{?el6}
export PERL_MM_FALLBACK_SILENCE_WARNING=1
export PERL5LIB=include_test_libs/lib
%endif
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -delete

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if 0%{?el6}
export PERL5LIB=include_test_libs/lib
%endif
export TEST_REDIS_SERVER_SOCK_PATH=$RPM_BUILD_ROOT/redis.sock
redis-server - <<_OUT_ &
unixsocket $TEST_REDIS_SERVER_SOCK_PATH
unixsocketperm 700
pidfile $RPM_BUILD_ROOT/redis.pid
daemonize yes
port 0
_OUT_
RELEASE_TESTING=1 make test
kill -TERM `cat $RPM_BUILD_ROOT/redis.pid`

%files
%license LICENSE
%doc Changes README scripts tools
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Nov 30 2018 Petr Pisar <ppisar@redhat.com> - 1.991-8
- Adjust tests to changes in Redis 4.0.11 (bug #1624360)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.991-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.991-6
- Perl 5.28 rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.991-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.991-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.991-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.991-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 05 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.991-1
- 1.991 bump

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.982-2
- Perl 5.24 rebuild

* Wed Mar 23 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.982-1
- 1.982 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.981-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.981-1
- 1.981 bump

* Fri Jul 17 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.979-1
- 1.979 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.978-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.978-2
- Perl 5.22 rebuild

* Sun Feb 01 2015 David Dick <ddick@cpan.org> - 1.978-1
- Upgrade to 1.978.

* Thu Oct 09 2014 David Dick <ddick@cpan.org> - 1.976-1
- Upgrade to 1.976.

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.975-2
- Perl 5.20 rebuild

* Tue Aug 05 2014 David Dick <ddick@cpan.org> - 1.975-1
- Upgrade to 1.975.  Include patched fixes from previous version, documentation clarifications

* Fri May 16 2014 David Dick <ddick@cpan.org> - 1.974-1
- Initial release
